// main.c -- Defines the C-code kernel entry point, calls initialisation routines.

#include "Monitor.h"
#include "Idt.h"
#include "Isr.h"
#include "Gdt.h"

int main(struct multiboot *mboot_ptr)
{
    int k;
    monitor_init(1, 15);			// Initializes monitor and video display with attributes, white on blue.
    
    gdt_install();				// Installs gdt.
    idt_install();				// Installs idt.
    isr_install();				// Installs isr.
 
    monitor_write_on_line("SOS - Shikhin's Operating System", 0, 7, 15);		// Prints the message on the first line, with grey background.
    
    k = 12/0;	

}
